PDA

View Full Version : how to update the (global) System Software Requirements list



vsiatr
12-14-2007, 10:20 AM
I need to update the default list that comes up under the "System Software Requirements" with new items.

That is, not to add a requirement in a specific application setup, but update the global list. For example, add the item "MDAC 2.8 is installed"

For the specific requirement (MDAC 2.8) I found an entry in the Redistributables area (of type "Setup Prequisite") which needed downloading. I downloaded it, but now I can't get it to appear in the "System Software Requirements" list (under MDAC 2.6 and 2.7 that were in the list after the initial installation of InstallShield) so that I can just select it in new setup prolects, and not define it over and over again.

SherylSikora
12-14-2007, 05:22 PM
Setup prerequisites and the Requirements view are actually two different things. A setup prerequisite will run at the beginning of your install to install the selected technology, and the selections under the Requirements view are really just AppSearches that InstallShield provides for you that determine whether the specific item is on a system - they will not install the technology. You can create your own System Software Requirement for MDAC by right-clicking the "System Software Requirements" item and selecting "Create New Condition Wizard (System Search Wizard)". You will need to know the specific requirements to search for for MDAC 2.8 to set this AppSearch up but it can be done.

vsiatr
12-17-2007, 04:36 AM
I had already created a new entry for MDAC 2.8 in System Software Requirements for a setup project, but I could not see it in other projects except the specific one.

What I am trying to do is update the list of the Requirements with a new entry, so that I can use it in all the new setup projects, just as I do with the rest of the items that come default in that list.

Also, I would like to see the conditions behind the default entries, so that to create similar ones --for example, MDAC 2.8 could follow MDAC 2.6 and 2.7 definition, which are there by default.

SherylSikora
12-17-2007, 03:31 PM
I see what you mean. I didn't realize that the search you can create on your own is project-specific. What you can do is go into the Express install folder and find the "searches" folder. Here is where the predefined searches are found. You can always copy the MDAC 2.7 search and update it for 2.8 to meet your needs. It should then appear in the view for use in all projects.

vsiatr
12-18-2007, 02:39 AM
Solved. Thanks a lot